package com.sooka.system.gas.sc_meter_reading_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.system.gas.sc_meter_reading_infor.domain.TGuijiSCMeterReadingInfor;
import com.sooka.system.gas.sc_meter_reading_infor.mapper.TGuijiSCMeterReadingMapper;
import com.sooka.system.gas.sc_meter_reading_infor.service.ITGuijiSCMeterReadingInforService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 思凯收费系统-抄表信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiSCMeterReadingInforServiceImpl implements ITGuijiSCMeterReadingInforService
{
    @Autowired
    private TGuijiSCMeterReadingMapper mapper;

    /**
     * 查询思凯收费系统-抄表信息
     *
     * @param id 思凯收费系统-抄表信息ID
     * @return 思凯收费系统-抄表信息
     */
    @Override
    public TGuijiSCMeterReadingInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询思凯收费系统-抄表信息列表
     *
     * @param param 思凯收费系统-抄表信息
     * @return 思凯收费系统-抄表信息
     */
    @Override
    public List<TGuijiSCMeterReadingInfor> selectList(TGuijiSCMeterReadingInfor param)
    {
        return mapper.selectList(param);
    }

    /**
     * 新增思凯收费系统-抄表信息
     *
     * @param param 思凯收费系统-抄表信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiSCMeterReadingInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改思凯收费系统-抄表信息
     *
     * @param param 思凯收费系统-抄表信息
     * @return 结果
     */
    @Override
    public int update(TGuijiSCMeterReadingInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除思凯收费系统-抄表信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除思凯收费系统-抄表信息信息
     *
     * @param id 思凯收费系统-抄表信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
